Package org.silverpeas.components.websites.model

## Class SitePK

- java.lang.Object
- - org.silverpeas.core.WAPrimaryKey
  - - org.silverpeas.core.ResourceReference
    - - org.silverpeas.components.websites.model.SitePK

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `org.silverpeas.core.ComponentResourceIdentifier`, `org.silverpeas.core.ResourceIdentifier`

      public class SitePK
      extends org.silverpeas.core.ResourceReference
      implements Serializable

  Primary key of a site.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.core.ResourceReference

      `UNKNOWN_ID`

    - ### Fields inherited from class org.silverpeas.core.WAPrimaryKey

      `componentName, id, space`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SitePK​(String id, String componentName)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object other)` |
    `String` | `getRootTableName()` |
    `int` | `hashCode()` |

    - ### Methods inherited from class org.silverpeas.core.ResourceReference

      `asString, getComponentInstanceId, getLocalId, to`

    - ### Methods inherited from class org.silverpeas.core.WAPrimaryKey

      `clone, getComponentName, getId, getInstanceId, getSpace, getSpaceId, getTableName, getTableName, setComponentName, setId, setSpace, toResourceReference, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.silverpeas.core.ComponentResourceIdentifier

      `toReference`

- - ### Constructor Detail

    - #### SitePK

          public SitePK​(String id,
                        String componentName)

  - ### Method Detail

    - #### getRootTableName

          public String getRootTableName()

      Overrides:
        `getRootTableName` in class `org.silverpeas.core.WAPrimaryKey`

    - #### equals

          public boolean equals​(Object other)

      Overrides:
        `equals` in class `org.silverpeas.core.ResourceReference`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `org.silverpeas.core.ResourceReference`